Description: Fix bug #933042 allowing TLS to interoperate with modern servers
Author: Gerald Turner <gturner@unzane.com>
Origin: other
Bug-Debian: #933042
Last-Update: 2020-07-17
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/sleekxmpp/xmlstream/xmlstream.py
+++ b/sleekxmpp/xmlstream/xmlstream.py
@@ -122,7 +122,7 @@
         #:
         #:     import ssl
         #:     xmpp.ssl_version = ssl.PROTOCOL_SSLv23
-        self.ssl_version = ssl.PROTOCOL_TLSv1
+        self.ssl_version = ssl.PROTOCOL_TLS
 
         #: The list of accepted ciphers, in OpenSSL Format.
         #: It might be useful to override it for improved security
